# getAllowCircularReferences abstract method

bool getAllowCircularReferences()

Retrieves the current circular reference setting.

## Usage Example:

    final allowCircularRefs = factory.getAllowCircularReferences();
    print('Circular references allowed: $allowCircularRefs');

@return true if circular references are allowed, false otherwise

## Implementation

    bool getAllowCircularReferences();